### Method

# Gio SimpleAsyncResult set_op_res_gpointer

deprecated: 2.46

#### Declaration

    void
    g_simple_async_result_set_op_res_gpointer (
      GSimpleAsyncResult* simple,
      gpointer op_res,
      GDestroyNotify destroy_op_res
    )

#### Description

Sets the operation result within the asynchronous result to a pointer.

Deprecated since: 2.46

Use `GTask` and `g_task_return_pointer()` instead.

This method is not directly available to language bindings.

#### Parameters

`op_res`

  Type: `gpointer`

  A pointer result from an asynchronous function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`destroy_op_res`

  Type: `GDestroyNotify`

  A `GDestroyNotify` function.